Loading...
Searching...
No Matches
tds_output_stream Struct Reference

define a stream of data used for output More...

`#include <stream.h>`

## Public Attributes

size_t | buf_len
char * | buffer
| write buffer.
int(* | write )(struct tds_output_stream *stream, size_t len)
| write len bytes from buffer, return <0 if error or len

## Detailed Description

define a stream of data used for output

## Member Data Documentation

## buffer

char* tds_output_stream::buffer

write buffer.

client will write data into this buffer. not required that buffer is the result of any alloc function so buffer pointer can point in the middle of another buffer. client will write up to buf_len. client should not cache buffer and buf_len before a call to write as write can change these values.

The documentation for this struct was generated from the following file:

- include/freetds/stream.h